package tsp;

import java.io.*;

/**
 * This class can read integers from little-endian InputStreams and is used for binary compatibilty with older tsp and tour files
 * @author Andreas Lehrbaum
 */
public class DataInputStreamLE extends DataInputStream {
	public DataInputStreamLE(InputStream in) {
		super(in);
	}
	
	public int readIntLE() throws IOException{
		int x = super.readInt();
		return ((x & 0x000000ff) << 24) + ((x & 0x0000ff00) << 8) + ((x & 0x00ff0000) >>> 8) + ((x & 0xff000000) >>> 24);
	}
}
