package tsp;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;

/**
 * This class can write integers in little-endian and is used for binary compatibilty with older tsp and tour files
 * @author Andreas Lehrbaum
 */
public class DataOutputStreamLE extends DataOutputStream {
	public DataOutputStreamLE(OutputStream out) {
		super(out);
	}
	
	public void writeIntLE(int x) throws IOException {
		super.writeInt(((x & 0x000000ff) << 24) + ((x & 0x0000ff00) << 8) + ((x & 0x00ff0000) >>> 8) + ((x & 0xff000000) >>> 24));
	}
}
